
Foreman - Refactor #22888

Remove increasing db pool calls from Foreman in favor of Dynflow

03/13/2018 08:47 PM - Ivan Necas

Status: Closed   

Priority: Normal   

Assignee: Ivan Necas   

Category:    

Target version: 1.18.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5320,

https://github.com/theforeman/foreman-p

ackaging/pull/2332

  

Description

The code around handling the size of connection pool was moved purely to Dynflow and there is no more need to handle that in

Foreman. The code in Dynflow also handles the situation when additional queues are being defined.

Related issues:

Blocked by foreman-tasks - Bug #22885: Add support for multipile queues in dy... Closed 03/13/2018

Associated revisions

Revision a4d31ec0 - 03/29/2018 08:53 PM - Ivan Necas

Fixes #22888 - remove code around dynflow db_pool_size

Remove the code in favor of the Dynfow, where we can handle all the

logic at one place.

History

#1 - 03/13/2018 08:49 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5320 added

#2 - 03/13/2018 08:50 PM - Ivan Necas

- Blocked by Bug #22885: Add support for multipile queues in dynflow added

#3 - 03/29/2018 08:54 PM - Anonymous

- translation missing: en.field_release set to 330

#4 - 03/29/2018 09:01 PM - Ivan Necas

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset a4d31ec0f74acd46103f40803be8f48894f9e79e.

#5 - 04/03/2018 07:43 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-packaging/pull/2332 added
